/* eslint-disable react-refresh/only-export-components */
import { createFileRoute } from '@tanstack/react-router'
import { AnnouncementEditPage } from '@/features/announcements'

export const Route = createFileRoute(
  '/_authenticated/announcements/$announcementId'
)({
  component: AnnouncementEditRoute,
})

function AnnouncementEditRoute() {
  const { announcementId } = Route.useParams()
  return <AnnouncementEditPage announcementId={announcementId} />
}
